Package org.pushingpixels.substance.internal.ui

# Class SubstanceDesktopPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.DesktopPaneUI
javax.swing.plaf.basic.BasicDesktopPaneUI
org.pushingpixels.substance.internal.ui.SubstanceDesktopPaneUI

public class SubstanceDesktopPaneUI extends BasicDesktopPaneUI
UI for desktop panes in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicDesktopPaneUI

`BasicDesktopPaneUI.CloseAction, BasicDesktopPaneUI.MaximizeAction, BasicDesktopPaneUI.MinimizeAction, BasicDesktopPaneUI.NavigateAction, BasicDesktopPaneUI.OpenAction`

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicDesktopPaneUI

`closeKey, desktop, desktopManager, maximizeKey, minimizeKey, navigateKey, navigateKey2`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceDesktopPaneUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected void`
`installDefaults()`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicDesktopPaneUI

`createPropertyChangeListener, getMaximumSize, getMinimumSize, getPreferredSize, installDesktopManager, installKeyboardActions, installListeners, installUI, paint, registerKeyboardActions, uninstallDefaults, uninstallDesktopManager, uninstallKeyboardActions, uninstallListeners, uninstallUI, unregisterKeyboardActions`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceDesktopPaneUI

public SubstanceDesktopPaneUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `BasicDesktopPaneUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`